from openerp import api, models
from num2words import num2words

class report_orden_pago(models.AbstractModel):
    _name = 'report.orden_de_pago.report_orden_de_pago_crifin'

    @api.multi
    def render_html(self, data=None):
        report_obj = self.env['report']
        report = report_obj._get_report_from_name('orden_de_pago.report_orden_de_pago_crifin')
        docargs = {
            'doc_ids': self._ids,
            'doc_model': report.model,
            'docs': self.env[report.model].browse(self._ids),
            'convertir':self.convertir,
        }
        return report_obj.render('orden_de_pago.report_orden_de_pago_crifin', docargs)

    def convertir(self,nro,moneda):
        letra = num2words(nro,lang="es")
        letra = letra.capitalize()
        if not moneda:
            moneda=''
        letra = letra +' '+moneda
        return letra
